<?php
/**
 * @package     gantry
 * @subpackage  features
 * @version    $
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright   Copyright (C) 2007 - 2011 RocketTheme, LLC
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */

defined('JPATH_BASE') or die();

gantry_import('core.gantryfeature');

class GantryFeatureTopslider extends GantryFeature {
    var $_feature_name = 'topslider';
	
		function init() {
		global $gantry;
		
		if ($this->get('enabled')) {
		
					global $gantry;	
					if ($gantry->browser->platform == 'iphone' && 'android') {
						$gantry->addScript('blank.js');}
					else {
						$gantry->addScript('slider-top.js');
						} 
		}
	}

  function render($position="") {
      ob_start();
      ?>
    <div id="rt-slider-button">
				<a href="#" id="v_toggle" class="slider_button">
					<span><?php echo $this->get('text'); ?></span>
				</a>
    </div>
	<div class="clear"></div>
    <?php
      return ob_get_clean();
  }
}
