<?php
/**
* @package   com_zoo
* @file      submenu.php
* @version   2.4.12
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) 2007 - 2011 YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
*/

/*
	Class: SubmenuHelper
		Submenu helper class. Wrapper for JSubMenuHelper.
*/
class SubmenuHelper extends AppHelper {

	/*
		Function: __call
			Map all functions to JSubMenuHelper class

		Parameters:
			$name - Method name
			$args - Method arguments

		Returns:
			Mixed
	*/	
    public function __call($method, $args) {
		return $this->_call(array('JSubMenuHelper', $method), $args);
    }
	
}