<?php
/**
* @package   com_zoo
* @file      zoohelp.php
* @version   2.4.12
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) 2007 - 2011 YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
*/

class JButtonZooHelp extends JButton {

	var $_name = 'ZooHelp';

	function fetchButton($type = 'ZooHelp', $ref = '') {

		$text  = JText::_('Help');
		$class = $this->fetchIconClass('help');

		$html  = "<a href=\"$ref\" target=\"_blank\" class=\"toolbar\">\n";
		$html .= "<span class=\"$class\" title=\"$text\">\n";
		$html .= "</span>\n";
 		$html .= "$text\n";
		$html .= "</a>\n";

		return $html;
	}

	function fetchId($name) {
		return $this->_parent->get('name').'-'."help";
	}

}