-- ZOO SQL Dump
-- version 
-- http://www.yootheme.com
--
-- Host: localhost
-- Creation Date: 2011-07-13 11:51:08
-- Server Software: Apache/2.2.14 (Win32) DAV/2 mod_ssl/2.2.14 OpenSSL/0.9.8l mod_autoindex_color PHP/5.3.1 mod_apreq2-20090110/2.7.1 mod_perl/2.0.4 Perl/v5.10.1


-- 
-- Database: testowa
-- 

-- --------------------------------------------------------

--
-- Table structure for table jos_zoo_application
--

DROP TABLE jos_zoo_application;
CREATE TABLE `jos_zoo_application` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `application_group` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Table data for table jos_zoo_application
--
INSERT INTO jos_zoo_application VALUES("1","Blog","blog","blog","","{\"group\":\"blog\",\"template\":\"sans\",\"global.config.items_per_page\":\"15\",\"global.config.item_order\":\"rdate\",\"global.config.show_feed_link\":\"1\",\"global.config.feed_title\":\"\",\"global.config.alternate_feed_link\":\"\",\"global.template.show_title\":\"0\",\"global.template.show_description\":\"0\",\"global.template.show_image\":\"0\",\"global.template.alignment\":\"left\",\"global.template.items_cols\":\"1\",\"global.template.items_order\":\"0\",\"global.template.teaseritem_media_alignment\":\"left\",\"global.template.item_media_alignment\":\"left\",\"global.comments.enable_comments\":\"1\",\"global.comments.require_name_and_mail\":\"1\",\"global.comments.registered_users_only\":\"0\",\"global.comments.approved\":\"0\",\"global.comments.time_between_user_posts\":\"120\",\"global.comments.email_notification\":\"\",\"global.comments.email_reply_notification\":\"0\",\"global.comments.avatar\":\"1\",\"global.comments.order\":\"ASC\",\"global.comments.max_depth\":\"5\",\"global.comments.facebook_enable\":\"0\",\"global.comments.facebook_app_id\":\"\",\"global.comments.facebook_app_secret\":\"\",\"global.comments.twitter_enable\":\"0\",\"global.comments.twitter_consumer_key\":\"\",\"global.comments.twitter_consumer_secret\":\"\",\"global.comments.akismet_enable\":\"0\",\"global.comments.akismet_api_key\":\"\",\"global.comments.mollom_enable\":\"0\",\"global.comments.mollom_public_key\":\"\",\"global.comments.mollom_private_key\":\"\",\"global.comments.blacklist\":\"\"}");


-- --------------------------------------------------------

--
-- Table structure for table jos_zoo_category
--

DROP TABLE jos_zoo_category;
CREATE TABLE `jos_zoo_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `application_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `parent` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ALIAS_INDEX` (`alias`),
  KEY `PUBLISHED_INDEX` (`published`),
  KEY `APPLICATIONID_ID_INDEX` (`published`,`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Table data for table jos_zoo_category
--
INSERT INTO jos_zoo_category VALUES("1","1","First Blog Cateogry","first-blog-cateogry","","0","3","1","{\"content.sub_headline\":\"\",\"content.image\":\"\",\"content.image_width\":\"\",\"content.image_height\":\"\"}");
INSERT INTO jos_zoo_category VALUES("2","1","Second cateogry","second-cateogry","","0","2","1","{\"content.sub_headline\":\"\",\"content.image\":\"\",\"content.image_width\":\"\",\"content.image_height\":\"\"}");
INSERT INTO jos_zoo_category VALUES("3","1","Full width Blog","full-width-blog","","0","1","1","{\"content.sub_headline\":\"\",\"content.image\":\"\",\"content.image_width\":\"\",\"content.image_height\":\"\"}");


-- --------------------------------------------------------

--
-- Table structure for table jos_zoo_category_item
--

DROP TABLE jos_zoo_category_item;
CREATE TABLE `jos_zoo_category_item` (
  `category_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  PRIMARY KEY (`category_id`,`item_id`),
  KEY `ITEMID_INDEX` (`item_id`),
  KEY `CATEGORYID_INDEX` (`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table data for table jos_zoo_category_item
--
INSERT INTO jos_zoo_category_item VALUES("1","3");
INSERT INTO jos_zoo_category_item VALUES("1","4");
INSERT INTO jos_zoo_category_item VALUES("1","5");
INSERT INTO jos_zoo_category_item VALUES("2","6");
INSERT INTO jos_zoo_category_item VALUES("2","7");
INSERT INTO jos_zoo_category_item VALUES("2","8");
INSERT INTO jos_zoo_category_item VALUES("3","10");
INSERT INTO jos_zoo_category_item VALUES("3","11");
INSERT INTO jos_zoo_category_item VALUES("3","12");


-- --------------------------------------------------------

--
-- Table structure for table jos_zoo_comment
--

DROP TABLE jos_zoo_comment;
CREATE TABLE `jos_zoo_comment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `user_id` varchar(255) NOT NULL,
  `user_type` varchar(255) NOT NULL,
  `author` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `ip` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `content` text NOT NULL,
  `state` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `STATE_INDEX` (`state`),
  KEY `CREATED_INDEX` (`created`),
  KEY `ITEMID_INDEX` (`item_id`),
  KEY `AUTHOR_INDEX` (`author`),
  KEY `ITEMID_STATE_INDEX` (`item_id`,`state`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

--
-- Table data for table jos_zoo_comment
--
INSERT INTO jos_zoo_comment VALUES("1","0","3","","","John Doe","xxx@xxx.pl","","::1","2011-07-06 12:26:37","it looks nice! Duis vel ante sit amet quam tempus luctus. Etiam lorem tortor, pharetra eget fermentum vel, euismod eget nulla.","1");
INSERT INTO jos_zoo_comment VALUES("14","0","4","","","john Doe","asd@asd.pl","","::1","2011-07-06 20:27:13","Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam eros risus, varius vel consequat eu, mollis non justo. Etiam placerat risus semper justo viverra porttitor. In lorem nunc,","1");
INSERT INTO jos_zoo_comment VALUES("5","0","5","","","John Doe","xxx@xxx.pl","","::1","2011-07-06 14:27:39","In quis gravida nisi. Morbi sit amet tellus ut sem euismod facilisis. Aliquam vitae nibh a diam sagittis posuere a eu purus. Quisque feugiat fringilla pellentesque. Cras congue turpis pulvinar ante porta in iaculis augue consectetur. Vivamus id lorem massa, a sodales turpis. Aliquam congue sodales arcu eget placerat. Aliquam magna augue, euismod vitae dictum non","1");
INSERT INTO jos_zoo_comment VALUES("15","14","4","42","joomla","Super User","info@7studio.eu","","::1","2011-07-06 20:35:27","Sample admin reply, cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.","1");
INSERT INTO jos_zoo_comment VALUES("7","5","5","","","Tomek","xxx@xxx.pl","","::1","2011-07-06 15:45:25","This is guest user reply. \"Cras congue turpis pulvinar ante porta in iaculis\"","1");
INSERT INTO jos_zoo_comment VALUES("8","0","6","","","Mark","xxx@xxx.pl","","::1","2011-07-06 17:06:12","Integer volutpat magna sit amet purus tristique vel tincidunt purus aliquet. Quisque posuere erat at ante varius egestas. Cum sociis natoque penatibus et magnis","1");
INSERT INTO jos_zoo_comment VALUES("9","0","7","","","John","xxx@xxx.pl","","::1","2011-07-06 17:09:08","In quis gravida nisi. Morbi sit amet tellus ut sem euismod facilisis. Aliquam vitae nibh a diam sagittis posuere a eu purus. Quisque feugiat fringilla pellentesque. Cras congue turpis pulvinar ante porta in iaculis augue consectetur. Vivamus id lorem massa, a sodales turpis.","1");
INSERT INTO jos_zoo_comment VALUES("10","0","12","","","John","xxx@xxx.pl","","::1","2011-07-06 18:18:35","Comment form test, Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis arcu malesuada magna dapibus aliquam. Aenean lacinia blandit blandit. Fusce neque arcu, suscipit non laoreet id, aliquet vitae mauris. Aliquam ut velit at tortor porta dignissim. Nam porttitor auctor feugiat. Pellentesque in magna risus. Integer sit amet mi quis nisi rhoncus gravida.","1");
INSERT INTO jos_zoo_comment VALUES("11","10","12","42","joomla","Super User","info@7studio.eu","","::1","2011-07-06 18:19:38","Admin reply, \"Curae; Aliquam quis arcu malesuada magna dapibus aliquam. Aenean lacinia blandit blandit. Fusce neque arcu, suscipit non laoreet id, aliquet vitae mauris. Aliquam ut velit at tortor porta dignissim.\"","1");
INSERT INTO jos_zoo_comment VALUES("12","0","11","","","blogger","xxx@xxx.pl","","::1","2011-07-06 18:22:01","Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.","1");
INSERT INTO jos_zoo_comment VALUES("13","0","10","","","Just for a tests","asd@asd.pl","","::1","2011-07-06 18:25:13","Proin ullamcorper, ipsum vel malesuada auctor, ligula mauris sollicitudin eros, et eleifend tellus ante non quam. Suspendisse rutrum vehicula mi, vitae interdum metus mattis nec. Ut at libero tellus. Phasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu.","1");


-- --------------------------------------------------------

--
-- Table structure for table jos_zoo_item
--

DROP TABLE jos_zoo_item;
CREATE TABLE `jos_zoo_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `application_id` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `publish_up` datetime NOT NULL,
  `publish_down` datetime NOT NULL,
  `priority` int(11) NOT NULL,
  `hits` int(11) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `access` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `searchable` int(11) NOT NULL,
  `elements` longtext NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ALIAS_INDEX` (`alias`),
  KEY `PUBLISH_INDEX` (`publish_up`,`publish_down`),
  KEY `STATE_INDEX` (`state`),
  KEY `ACCESS_INDEX` (`access`),
  KEY `CREATED_BY_INDEX` (`created_by`),
  KEY `NAME_INDEX` (`name`),
  KEY `APPLICATIONID_INDEX` (`application_id`),
  KEY `TYPE_INDEX` (`type`),
  KEY `MULTI_INDEX` (`application_id`,`access`,`state`,`publish_up`,`publish_down`),
  KEY `MULTI_INDEX2` (`id`,`access`,`state`,`publish_up`,`publish_down`),
  KEY `ID_APPLICATION_INDEX` (`id`,`application_id`),
  FULLTEXT KEY `SEARCH_FULLTEXT` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

--
-- Table data for table jos_zoo_item
--
INSERT INTO jos_zoo_item VALUES("6","1","article","DSLR Cameras","dslr-cameras-2","2011-07-06 15:19:52","2011-07-13 11:19:45","42","2011-07-06 15:19:52","0000-00-00 00:00:00","0","80","1","1","42","","1","<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<elements>\n<relateditems identifier=\"fc5a6788-ffae-41d9-a812-3530331fef64\"/>\n<text identifier=\"08795744-c2dc-4a68-8252-4e21c4c4c774\">\n  <value/>\n</text>\n<download identifier=\"448d6856-8902-402e-b726-eac03d6e4ac0\">\n  <file/>\n  <download_limit/>\n  <hits/>\n  <size/>\n</download>\n<facebookilike identifier=\"857b1713-ed54-4a3e-b2c1-dfe065ae5e25\">\n  <value><![CDATA[1]]></value>\n</facebookilike>\n<rating identifier=\"68d8dac0-761c-4527-99d6-95632ff020ed\">\n  <votes/>\n  <value/>\n</rating>\n<textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Phasellus sit amet elit vitae magna pretium vulputate non ac ligula. Aenean risus neque, rhoncus a eleifend quis, viverra a velit. Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante.</p>]]></value>\n</textarea><textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p> </p>\n<p>Phasellus sit amet elit vitae magna pretium vulputate non ac ligula. Aenean risus neque, rhoncus a eleifend quis, viverra a velit. Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante. Phasellus dignissim suscipit nulla, a auctor leo suscipit vel. Ut pretium luctus convallis. In eros ante, cursus sed fermentum in, molestie non tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed odio dui, ullamcorper a sodales ac, pulvinar ut odio. Pellentesque semper ipsum sit amet tellus eleifend luctus. Integer volutpat magna sit amet purus tristique vel tincidunt purus aliquet. Quisque posuere erat at ante varius egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed nisi est, vulputate at pulvinar eget, dignissim quis felis. Nam nec massa orci, in tempor tellus.</p>\n<p>In quis gravida nisi. Morbi sit amet tellus ut sem euismod facilisis. Aliquam vitae nibh a diam sagittis posuere a eu purus. Quisque feugiat fringilla pellentesque. Cras congue turpis pulvinar ante porta in iaculis augue consectetur. Vivamus id lorem massa, a sodales turpis. Aliquam congue sodales arcu eget placerat. Aliquam magna augue, euismod vitae dictum non, euismod sed nibh. Nam nunc leo, molestie et posuere a, venenatis a dui. Suspendisse tincidunt scelerisque venenatis. Mauris sodales leo non velit lacinia vitae mattis nisl mollis. Nullam vulputate facilisis arcu, eu eleifend enim dapibus sed. Donec id urna magna, eu feugiat libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Ut consequat rutrum ipsum, sit amet vulputate erat rutrum tempor.</p>\n<p> </p>]]></value>\n</textarea>\n<image identifier=\"cdce6654-4e01-4a7f-9ed6-0407709d904c\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image/>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<image identifier=\"c26feca6-b2d4-47eb-a74d-b067aaae5b90\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image><![CDATA[images/fp_demo_media/blog/imageholder.png]]></lightbox_image>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<video identifier=\"ff1ed5b5-4365-457e-98bb-026366028bd7\">\n  <file/>\n  <url/>\n  <width/>\n  <height/>\n  <autoplay/>\n</video>\n<socialbookmarks identifier=\"6af341e4-f0e9-4605-b2a5-60d7a3525a96\">\n  <value><![CDATA[1]]></value>\n</socialbookmarks>\n<googlemaps identifier=\"b723f471-5bd9-4fde-a6df-b7f807156426\">\n  <location/>\n</googlemaps>\n<relateditems identifier=\"65b7851d-199f-4ac6-95a7-409ad1bca488\"/>\n<link identifier=\"fdcbebaa-e61a-462d-963e-aff74ff95499\">\n  <value/>\n  <text/>\n  <target/>\n  <custom_title/>\n  <rel/>\n</link>\n</elements>","{\"comments.subscribers\":{\"xxx@xxx.pl\":\"Mark\"},\"metadata.description\":\"\",\"metadata.keywords\":\"\",\"metadata.robots\":\"\",\"metadata.author\":\"\",\"config.enable_comments\":\"1\",\"config.primary_category\":\"2\"}");
INSERT INTO jos_zoo_item VALUES("7","1","article","Black and white footage","black-and-white-fotage","2011-07-03 15:25:47","2011-07-13 11:20:09","42","2011-07-03 15:25:47","0000-00-00 00:00:00","0","61","1","1","42","","1","<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<elements>\n<relateditems identifier=\"fc5a6788-ffae-41d9-a812-3530331fef64\"/>\n<text identifier=\"08795744-c2dc-4a68-8252-4e21c4c4c774\">\n  <value/>\n</text>\n<download identifier=\"448d6856-8902-402e-b726-eac03d6e4ac0\">\n  <file/>\n  <download_limit/>\n  <hits/>\n  <size/>\n</download>\n<facebookilike identifier=\"857b1713-ed54-4a3e-b2c1-dfe065ae5e25\">\n  <value><![CDATA[1]]></value>\n</facebookilike>\n<rating identifier=\"68d8dac0-761c-4527-99d6-95632ff020ed\">\n  <votes/>\n  <value/>\n</rating>\n<textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante.</p>]]></value>\n</textarea><textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p> </p>\n<p>Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante. Phasellus dignissim suscipit nulla, a auctor leo suscipit vel. Ut pretium luctus convallis. In eros ante, cursus sed fermentum in, molestie non tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed odio dui, ullamcorper a sodales ac, pulvinar ut odio. Pellentesque semper ipsum sit amet tellus eleifend luctus. Integer volutpat magna sit amet purus tristique vel tincidunt purus aliquet. Quisque posuere erat at ante varius egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed nisi est, vulputate at pulvinar eget, dignissim quis felis. Nam nec massa orci, in tempor tellus.</p>\n<p>In quis gravida nisi. Morbi sit amet tellus ut sem euismod facilisis. Aliquam vitae nibh a diam sagittis posuere a eu purus. Quisque feugiat fringilla pellentesque. Cras congue turpis pulvinar ante porta in iaculis augue consectetur. Vivamus id lorem massa, a sodales turpis. Aliquam congue sodales arcu eget placerat. Aliquam magna augue, euismod vitae dictum non, euismod sed nibh. Nam nunc leo, molestie et posuere a, venenatis a dui. Suspendisse tincidunt scelerisque venenatis. Mauris sodales leo non velit lacinia vitae mattis nisl mollis. Nullam vulputate facilisis arcu, eu eleifend enim dapibus sed. Donec id urna magna, eu feugiat libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Ut consequat rutrum ipsum, sit amet vulputate erat rutrum tempor.</p>\n<p> </p>]]></value>\n</textarea>\n<image identifier=\"cdce6654-4e01-4a7f-9ed6-0407709d904c\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image/>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<image identifier=\"c26feca6-b2d4-47eb-a74d-b067aaae5b90\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image><![CDATA[images/fp_demo_media/blog/imageholder.png]]></lightbox_image>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<video identifier=\"ff1ed5b5-4365-457e-98bb-026366028bd7\">\n  <file/>\n  <url/>\n  <width/>\n  <height/>\n  <autoplay/>\n</video>\n<socialbookmarks identifier=\"6af341e4-f0e9-4605-b2a5-60d7a3525a96\">\n  <value><![CDATA[1]]></value>\n</socialbookmarks>\n<googlemaps identifier=\"b723f471-5bd9-4fde-a6df-b7f807156426\">\n  <location/>\n</googlemaps>\n<relateditems identifier=\"65b7851d-199f-4ac6-95a7-409ad1bca488\"/>\n<link identifier=\"fdcbebaa-e61a-462d-963e-aff74ff95499\">\n  <value/>\n  <text/>\n  <target/>\n  <custom_title/>\n  <rel/>\n</link>\n</elements>","{\"comments.subscribers\":{\"xxx@xxx.pl\":\"John\"},\"metadata.description\":\"\",\"metadata.keywords\":\"\",\"metadata.robots\":\"\",\"metadata.author\":\"\",\"config.enable_comments\":\"1\",\"config.primary_category\":\"2\"}");
INSERT INTO jos_zoo_item VALUES("3","1","article","Our new home is online","first-item-copy-copy","2011-07-06 10:30:37","2011-07-06 12:28:17","42","2011-07-06 10:29:38","0000-00-00 00:00:00","0","72","1","1","42","","1","<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<elements>\n<relateditems identifier=\"fc5a6788-ffae-41d9-a812-3530331fef64\"/>\n<text identifier=\"08795744-c2dc-4a68-8252-4e21c4c4c774\">\n  <value/>\n</text>\n<download identifier=\"448d6856-8902-402e-b726-eac03d6e4ac0\">\n  <file/>\n  <download_limit/>\n  <hits/>\n  <size/>\n</download>\n<facebookilike identifier=\"857b1713-ed54-4a3e-b2c1-dfe065ae5e25\">\n  <value><![CDATA[1]]></value>\n</facebookilike>\n<rating identifier=\"68d8dac0-761c-4527-99d6-95632ff020ed\">\n  <votes/>\n  <value/>\n</rating>\n<textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed vitae dictum turpis. Phasellus lobortis leo vitae nibh luctus eget suscipit nisi mollis. Nunc eleifend pretium faucibus. Nam at urna non urna vehicula aliquam in venenatis nisi. Donec vel libero dui. Suspendisse quis orci in lorem fringilla lobortis id vitae lacus. In purus nisl...</p>]]></value>\n</textarea><textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed vitae dictum turpis. Phasellus lobortis leo vitae nibh luctus eget suscipit nisi mollis. Nunc eleifend pretium faucibus. Nam at urna non urna vehicula aliquam in venenatis nisi. Donec vel libero dui. Suspendisse quis orci in lorem fringilla lobortis id vitae lacus. In purus nisl, accumsan eget posuere in, posuere fermentum quam. Fusce dictum nulla dolor, nec fermentum mi. Donec dignissim rhoncus arcu sed tristique. Sed elementum lacus quis leo pharetra a cursus neque consectetur. Morbi tristique libero ac turpis molestie varius. Nunc a nisl tortor, id varius nulla.</p>\n<p>Nullam nec massa vitae magna aliquam faucibus at volutpat orci. Praesent suscipit viverra convallis. Mauris posuere vestibulum tristique. Aliquam nec dui lorem, sed mattis justo. Phasellus ultricies lobortis nisl ut viverra. Donec porttitor blandit rutrum. Pellentesque ut eros eu ligula ultricies volutpat nec a tellus. Praesent tristique venenatis metus, et porta arcu consectetur elementum. Nulla facilisi. Nulla quis egestas diam. Sed consequat rutrum leo, quis ultrices leo fringilla ac. Etiam id auctor metus. In porttitor sagittis mattis. In hac habitasse platea dictumst.</p>\n<p>Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam eros risus, varius vel consequat eu, mollis non justo. Etiam placerat risus semper justo viverra porttitor. In lorem nunc, consequat eget tempor a, placerat eget massa. Sed semper bibendum turpis, vitae dictum risus auctor eu. Donec id lacus eget leo dignissim elementum at quis velit. Duis quis dui eget arcu pellentesque commodo in et est. Donec volutpat, libero at hendrerit suscipit, ante libero ullamcorper velit, eu faucibus lectus tellus at ligula. Sed ligula nisl, porttitor nec tristique at, cursus tempor nunc. Nulla quis felis sed tellus vehicula porta quis eget ante. Praesent ultrices pretium risus vel varius. Suspendisse potenti. Vivamus porttitor dui nec turpis mollis laoreet. Ut erat mauris, pretium sit amet sagittis at, adipiscing ut metus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam posuere aliquam rutrum. Duis vel ante sit amet quam tempus luctus. Etiam lorem tortor, pharetra eget fermentum vel, euismod eget nulla. Vestibulum sit amet risus eget nisl molestie imperdiet.</p>\n<p> </p>]]></value>\n</textarea>\n<image identifier=\"cdce6654-4e01-4a7f-9ed6-0407709d904c\">\n  <file><![CDATA[images/fp_demo_media/blog/ipad-fp.jpg]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image/>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<image identifier=\"c26feca6-b2d4-47eb-a74d-b067aaae5b90\">\n  <file><![CDATA[images/fp_demo_media/blog/ipad-fp.jpg]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image><![CDATA[images/fp_demo_media/blog/ipad-fp.jpg]]></lightbox_image>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<video identifier=\"ff1ed5b5-4365-457e-98bb-026366028bd7\">\n  <file/>\n  <url/>\n  <width/>\n  <height/>\n  <autoplay/>\n</video>\n<socialbookmarks identifier=\"6af341e4-f0e9-4605-b2a5-60d7a3525a96\">\n  <value><![CDATA[1]]></value>\n</socialbookmarks>\n<googlemaps identifier=\"b723f471-5bd9-4fde-a6df-b7f807156426\">\n  <location/>\n</googlemaps>\n<relateditems identifier=\"65b7851d-199f-4ac6-95a7-409ad1bca488\"/>\n<link identifier=\"fdcbebaa-e61a-462d-963e-aff74ff95499\">\n  <value/>\n  <text/>\n  <target/>\n  <custom_title/>\n  <rel/>\n</link>\n</elements>","{\"comments.subscribers\":{\"xxx@xxx.pl\":\"John Doe\"},\"metadata.description\":\"\",\"metadata.keywords\":\"\",\"metadata.robots\":\"\",\"metadata.author\":\"\",\"config.enable_comments\":\"1\",\"config.primary_category\":\"1\"}");
INSERT INTO jos_zoo_item VALUES("5","1","article","iPhone 4 sales: 3 million and counting","dslr-cameras","2011-07-09 13:41:55","2011-07-10 12:29:21","42","2011-07-09 13:41:55","0000-00-00 00:00:00","0","82","1","1","42","","1","<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<elements>\n<relateditems identifier=\"fc5a6788-ffae-41d9-a812-3530331fef64\"/>\n<text identifier=\"08795744-c2dc-4a68-8252-4e21c4c4c774\">\n  <value/>\n</text>\n<download identifier=\"448d6856-8902-402e-b726-eac03d6e4ac0\">\n  <file/>\n  <download_limit/>\n  <hits/>\n  <size/>\n</download>\n<facebookilike identifier=\"857b1713-ed54-4a3e-b2c1-dfe065ae5e25\">\n  <value><![CDATA[1]]></value>\n</facebookilike>\n<rating identifier=\"68d8dac0-761c-4527-99d6-95632ff020ed\">\n  <votes/>\n  <value/>\n</rating>\n<textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Phasellus sit amet elit vitae magna pretium vulputate non ac ligula. Aenean risus neque, rhoncus a eleifend quis, viverra a velit. Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. iquam quis eros vitae nisl tincidunt scelerisque...</p>]]></value>\n</textarea><textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Phasellus sit amet elit vitae magna pretium vulputate non ac ligula. Aenean risus neque, rhoncus a eleifend quis, viverra a velit. Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante. Phasellus dignissim suscipit nulla, a auctor leo suscipit vel. Ut pretium luctus convallis. In eros ante, cursus sed fermentum in, molestie non tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed odio dui, ullamcorper a sodales ac, pulvinar ut odio. Pellentesque semper ipsum sit amet tellus eleifend luctus. Integer volutpat magna sit amet purus tristique vel tincidunt purus aliquet. Quisque posuere erat at ante varius egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed nisi est, vulputate at pulvinar eget, dignissim quis felis. Nam nec massa orci, in tempor tellus.</p>\n<p>In quis gravida nisi. Morbi sit amet tellus ut sem euismod facilisis. Aliquam vitae nibh a diam sagittis posuere a eu purus. Quisque feugiat fringilla pellentesque. Cras congue turpis pulvinar ante porta in iaculis augue consectetur. Vivamus id lorem massa, a sodales turpis. Aliquam congue sodales arcu eget placerat. Aliquam magna augue, euismod vitae dictum non, euismod sed nibh. Nam nunc leo, molestie et posuere a, venenatis a dui. Suspendisse tincidunt scelerisque venenatis. Mauris sodales leo non velit lacinia vitae mattis nisl mollis. Nullam vulputate facilisis arcu, eu eleifend enim dapibus sed. Donec id urna magna, eu feugiat libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Ut consequat rutrum ipsum, sit amet vulputate erat rutrum tempor.</p>\n<p> </p>]]></value>\n</textarea>\n<image identifier=\"cdce6654-4e01-4a7f-9ed6-0407709d904c\">\n  <file><![CDATA[images/fp_demo_media/blog/iphone2a.jpg]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image/>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<image identifier=\"c26feca6-b2d4-47eb-a74d-b067aaae5b90\">\n  <file><![CDATA[images/fp_demo_media/blog/iphone2a.jpg]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image><![CDATA[images/fp_demo_media/blog/iphone2a.jpg]]></lightbox_image>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<video identifier=\"ff1ed5b5-4365-457e-98bb-026366028bd7\">\n  <file/>\n  <url/>\n  <width/>\n  <height/>\n  <autoplay/>\n</video>\n<socialbookmarks identifier=\"6af341e4-f0e9-4605-b2a5-60d7a3525a96\">\n  <value><![CDATA[1]]></value>\n</socialbookmarks>\n<googlemaps identifier=\"b723f471-5bd9-4fde-a6df-b7f807156426\">\n  <location/>\n</googlemaps>\n<relateditems identifier=\"65b7851d-199f-4ac6-95a7-409ad1bca488\">\n  <item><![CDATA[4]]></item>\n</relateditems>\n<link identifier=\"fdcbebaa-e61a-462d-963e-aff74ff95499\">\n  <value/>\n  <text/>\n  <target/>\n  <custom_title/>\n  <rel/>\n</link>\n</elements>","{\"comments.subscribers\":{\"xxx@xxx.pl\":\"John Doe\"},\"metadata.description\":\"\",\"metadata.keywords\":\"\",\"metadata.robots\":\"\",\"metadata.author\":\"\",\"config.enable_comments\":\"1\",\"config.primary_category\":\"1\"}");
INSERT INTO jos_zoo_item VALUES("4","1","article","Mobile web access is growing","mobile-web-access-is-growing","2011-07-10 06:30:18","2011-07-10 12:30:30","42","2011-07-10 07:30:18","0000-00-00 00:00:00","0","206","1","1","42","","1","<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<elements>\n<relateditems identifier=\"fc5a6788-ffae-41d9-a812-3530331fef64\"/>\n<text identifier=\"08795744-c2dc-4a68-8252-4e21c4c4c774\">\n  <value/>\n</text>\n<download identifier=\"448d6856-8902-402e-b726-eac03d6e4ac0\">\n  <file/>\n  <download_limit/>\n  <hits/>\n  <size/>\n</download>\n<facebookilike identifier=\"857b1713-ed54-4a3e-b2c1-dfe065ae5e25\">\n  <value><![CDATA[1]]></value>\n</facebookilike>\n<rating identifier=\"68d8dac0-761c-4527-99d6-95632ff020ed\">\n  <votes/>\n  <value/>\n</rating>\n<textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Nullam nec massa vitae magna aliquam faucibus at volutpat orci. Praesent suscipit viverra convallis. Mauris posuere vestibulum tristique. Aliquam nec dui lorem, sed mattis justo. Phasellus ultricies lobortis nisl ut viverra. Donec porttitor blandit rutrum. Pellentesque ut eros eu ligula ultricies volutpat nec a tellus. Aliquam eros risus, varius vel consequat eu, mollis non justo. Etiam...</p>]]></value>\n</textarea><textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p> </p>\n<p>Nullam nec massa vitae magna aliquam faucibus at volutpat orci. Praesent suscipit viverra convallis. Mauris posuere vestibulum tristique. Aliquam nec dui lorem, sed mattis justo. Phasellus ultricies lobortis nisl ut viverra. Donec porttitor blandit rutrum. Pellentesque ut eros eu ligula ultricies volutpat nec a tellus. Praesent tristique venenatis metus, et porta arcu consectetur elementum. Nulla facilisi. Nulla quis egestas diam. Sed consequat rutrum leo, quis ultrices leo fringilla ac. Etiam id auctor metus. In porttitor sagittis mattis. In hac habitasse platea dictumst.</p>\n<p>Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam eros risus, varius vel consequat eu, mollis non justo. Etiam placerat risus semper justo viverra porttitor. In lorem nunc, consequat eget tempor a, placerat eget massa. Sed semper bibendum turpis, vitae dictum risus auctor eu. Donec id lacus eget leo dignissim elementum at quis velit. Duis quis dui eget arcu pellentesque commodo in et est. Donec volutpat, libero at hendrerit suscipit, ante libero ullamcorper velit, eu faucibus lectus tellus at ligula. Sed ligula nisl, porttitor nec tristique at, cursus tempor nunc. Nulla quis felis sed tellus vehicula porta quis eget ante. Praesent ultrices pretium risus vel varius. Suspendisse potenti. Vivamus porttitor dui nec turpis mollis laoreet. Ut erat mauris, pretium sit amet sagittis at, adipiscing ut metus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam posuere aliquam rutrum. Duis vel ante sit amet quam tempus luctus. Etiam lorem tortor, pharetra eget fermentum vel, euismod eget nulla. Vestibulum sit amet risus eget nisl molestie imperdiet.</p>\n<p> </p>]]></value>\n</textarea>\n<image identifier=\"cdce6654-4e01-4a7f-9ed6-0407709d904c\">\n  <file><![CDATA[images/fp_demo_media/blog/iphone2.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image/>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<image identifier=\"c26feca6-b2d4-47eb-a74d-b067aaae5b90\">\n  <file><![CDATA[images/fp_demo_media/blog/iphone2.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image><![CDATA[images/fp_demo_media/blog/iphone2.png]]></lightbox_image>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<video identifier=\"ff1ed5b5-4365-457e-98bb-026366028bd7\">\n  <file/>\n  <url/>\n  <width/>\n  <height/>\n  <autoplay/>\n</video>\n<socialbookmarks identifier=\"6af341e4-f0e9-4605-b2a5-60d7a3525a96\">\n  <value><![CDATA[1]]></value>\n</socialbookmarks>\n<googlemaps identifier=\"b723f471-5bd9-4fde-a6df-b7f807156426\">\n  <location/>\n</googlemaps>\n<relateditems identifier=\"65b7851d-199f-4ac6-95a7-409ad1bca488\">\n  <item><![CDATA[5]]></item>\n</relateditems>\n<link identifier=\"fdcbebaa-e61a-462d-963e-aff74ff95499\">\n  <value/>\n  <text/>\n  <target/>\n  <custom_title/>\n  <rel/>\n</link>\n</elements>","{\"comments.subscribers\":{\"xxx@xxx.pl\":\"John Doe\",\"info@7studio.eu\":\"Super User\",\"asd@asd.pl\":\"john Doe\"},\"metadata.description\":\"\",\"metadata.keywords\":\"\",\"metadata.robots\":\"\",\"metadata.author\":\"\",\"config.enable_comments\":\"1\",\"config.primary_category\":\"1\"}");
INSERT INTO jos_zoo_item VALUES("8","1","article","Catch the moment","susnet","2011-07-01 15:28:59","2011-07-13 11:20:36","42","2011-07-01 15:28:59","0000-00-00 00:00:00","0","46","1","1","42","","1","<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<elements>\n<relateditems identifier=\"fc5a6788-ffae-41d9-a812-3530331fef64\"/>\n<text identifier=\"08795744-c2dc-4a68-8252-4e21c4c4c774\">\n  <value/>\n</text>\n<download identifier=\"448d6856-8902-402e-b726-eac03d6e4ac0\">\n  <file/>\n  <download_limit/>\n  <hits><![CDATA[1]]></hits>\n  <size/>\n</download>\n<facebookilike identifier=\"857b1713-ed54-4a3e-b2c1-dfe065ae5e25\">\n  <value><![CDATA[1]]></value>\n</facebookilike>\n<rating identifier=\"68d8dac0-761c-4527-99d6-95632ff020ed\">\n  <votes/>\n  <value/>\n</rating>\n<textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>To pretium luctus convallis. In eros ante, cursus sed fermentum in, molestie non tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed odio dui, ullamcorper a sodales ac, pulvinar ut odio. Pellentesque semper ipsum sit amet tellus eleifend luctus.</p>]]></value>\n</textarea><textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p> </p>\n<p>To pretium luctus convallis. In eros ante, cursus sed fermentum in, molestie non tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed odio dui, ullamcorper a sodales ac, pulvinar ut odio. Pellentesque semper ipsum sit amet tellus eleifend luctus. Phasellus sit amet elit vitae magna pretium vulputate non ac ligula. Aenean risus neque, rhoncus a eleifend quis, viverra a velit. Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante. Phasellus dignissim suscipit nulla, a auctor leo suscipit vel. U Integer volutpat magna sit amet purus tristique vel tincidunt purus aliquet. Quisque posuere erat at ante varius egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed nisi est, vulputate at pulvinar eget, dignissim quis felis. Nam nec massa orci, in tempor tellus.</p>\n<p>In quis gravida nisi. Morbi sit amet tellus ut sem euismod facilisis. Aliquam vitae nibh a diam sagittis posuere a eu purus. Quisque feugiat fringilla pellentesque. Cras congue turpis pulvinar ante porta in iaculis augue consectetur. Vivamus id lorem massa, a sodales turpis. Aliquam congue sodales arcu eget placerat. Aliquam magna augue, euismod vitae dictum non, euismod sed nibh. Nam nunc leo, molestie et posuere a, venenatis a dui. Suspendisse tincidunt scelerisque venenatis. Mauris sodales leo non velit lacinia vitae mattis nisl mollis. Nullam vulputate facilisis arcu, eu eleifend enim dapibus sed. Donec id urna magna, eu feugiat libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Ut consequat rutrum ipsum, sit amet vulputate erat rutrum tempor.</p>\n<p style=\"text-align: center;\"><strong>Google map example, while creating new zoo item please just give an adress which you would like to show on map and google map will be generated automaticly!</strong></p>\n<p> </p>]]></value>\n</textarea>\n<image identifier=\"cdce6654-4e01-4a7f-9ed6-0407709d904c\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image/>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<image identifier=\"c26feca6-b2d4-47eb-a74d-b067aaae5b90\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image><![CDATA[images/fp_demo_media/blog/imageholder.png]]></lightbox_image>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<video identifier=\"ff1ed5b5-4365-457e-98bb-026366028bd7\">\n  <file/>\n  <url/>\n  <width/>\n  <height/>\n  <autoplay/>\n</video>\n<socialbookmarks identifier=\"6af341e4-f0e9-4605-b2a5-60d7a3525a96\">\n  <value><![CDATA[1]]></value>\n</socialbookmarks>\n<googlemaps identifier=\"b723f471-5bd9-4fde-a6df-b7f807156426\">\n  <location><![CDATA[Manhattan new york 8 street]]></location>\n</googlemaps>\n<relateditems identifier=\"65b7851d-199f-4ac6-95a7-409ad1bca488\">\n  <item><![CDATA[6]]></item>\n  <item><![CDATA[7]]></item>\n</relateditems>\n<link identifier=\"fdcbebaa-e61a-462d-963e-aff74ff95499\">\n  <value/>\n  <text/>\n  <target/>\n  <custom_title/>\n  <rel/>\n</link>\n</elements>","{\"metadata.description\":\"\",\"metadata.keywords\":\"\",\"metadata.robots\":\"\",\"metadata.author\":\"\",\"config.enable_comments\":\"1\",\"config.primary_category\":\"2\"}");
INSERT INTO jos_zoo_item VALUES("11","1","article","Second item in full width.","second-item-in-full-width","2011-07-01 18:14:04","2011-07-13 11:18:56","42","2011-07-06 18:14:04","0000-00-00 00:00:00","0","13","1","1","42","","1","<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<elements>\n<relateditems identifier=\"fc5a6788-ffae-41d9-a812-3530331fef64\"/>\n<text identifier=\"08795744-c2dc-4a68-8252-4e21c4c4c774\">\n  <value/>\n</text>\n<download identifier=\"448d6856-8902-402e-b726-eac03d6e4ac0\">\n  <file/>\n  <download_limit/>\n  <hits/>\n  <size/>\n</download>\n<facebookilike identifier=\"857b1713-ed54-4a3e-b2c1-dfe065ae5e25\">\n  <value><![CDATA[1]]></value>\n</facebookilike>\n<rating identifier=\"68d8dac0-761c-4527-99d6-95632ff020ed\">\n  <votes/>\n  <value/>\n</rating>\n<textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Phasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu. Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur luctus auctor tellus, a aliquet tellus sodales quis. Fusce quis lectus massa. In hac habitasse platea dictumst. Nam at tellus sed ipsum pulvinar blandit. Aenean iaculis faucibus ipsum sed dictum.</p>]]></value>\n</textarea><textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p> </p>\n<p>Phasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu. Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur luctus auctor tellus, a aliquet tellus sodales quis. Fusce quis lectus massa. In hac habitasse platea dictumst. Nam at tellus sed ipsum pulvinar blandit. Aenean iaculis faucibus ipsum sed dictum. Cras a nulla nunc. Maecenas in tortor turpis, at feugiat augue.</p>\n<p>Duis eleifend metus sed lacus volutpat suscipit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc volutpat hendrerit quam eget hendrerit. Aliquam consectetur rutrum adipiscing. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis arcu malesuada magna dapibus aliquam. Aenean lacinia blandit blandit. Fusce neque arcu, suscipit non laoreet id, aliquet vitae mauris. Aliquam ut velit at tortor porta dignissim. Nam porttitor auctor feugiat. Pellentesque in magna risus. Integer sit amet mi quis nisi rhoncus gravida. Etiam interdum iaculis est, vel viverra velit pretium ac. Pellentesque orci sem, venenatis a facilisis ut, lobortis id quam. Donec eget tortor eget metus pellentesque luctus. Sed tellus enim, vulputate ac feugiat at, pretium quis massa. Ut sapien elit, mattis vel facilisis vel, faucibus id est. Maecenas ultricies mollis nibh, at congue nisi rutrum gravida.</p>\n<p>Cras sit amet metus et dui consectetur pharetra. Nunc luctus mi at leo malesuada egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Fusce neque odio, commodo sed interdum et, ultricies a turpis.</p>\n<p> </p>]]></value>\n</textarea>\n<image identifier=\"cdce6654-4e01-4a7f-9ed6-0407709d904c\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image/>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<image identifier=\"c26feca6-b2d4-47eb-a74d-b067aaae5b90\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image><![CDATA[images/fp_demo_media/blog/imageholder.png]]></lightbox_image>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<video identifier=\"ff1ed5b5-4365-457e-98bb-026366028bd7\">\n  <file/>\n  <url/>\n  <width/>\n  <height/>\n  <autoplay/>\n</video>\n<socialbookmarks identifier=\"6af341e4-f0e9-4605-b2a5-60d7a3525a96\">\n  <value><![CDATA[1]]></value>\n</socialbookmarks>\n<googlemaps identifier=\"b723f471-5bd9-4fde-a6df-b7f807156426\">\n  <location/>\n</googlemaps>\n<relateditems identifier=\"65b7851d-199f-4ac6-95a7-409ad1bca488\"/>\n<link identifier=\"fdcbebaa-e61a-462d-963e-aff74ff95499\">\n  <value/>\n  <text/>\n  <target/>\n  <custom_title/>\n  <rel/>\n</link>\n</elements>","{\"comments.subscribers\":{\"xxx@xxx.pl\":\"blogger\"},\"metadata.description\":\"\",\"metadata.keywords\":\"\",\"metadata.robots\":\"\",\"metadata.author\":\"\",\"config.enable_comments\":\"1\",\"config.primary_category\":\"3\"}");
INSERT INTO jos_zoo_item VALUES("12","1","article","Third item in full width","third-item-in-full-width","2011-06-29 18:15:49","2011-07-13 11:19:18","42","2011-07-06 18:15:49","0000-00-00 00:00:00","0","14","1","1","42","","1","<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<elements>\n<relateditems identifier=\"fc5a6788-ffae-41d9-a812-3530331fef64\"/>\n<text identifier=\"08795744-c2dc-4a68-8252-4e21c4c4c774\">\n  <value/>\n</text>\n<download identifier=\"448d6856-8902-402e-b726-eac03d6e4ac0\">\n  <file/>\n  <download_limit/>\n  <hits/>\n  <size/>\n</download>\n<facebookilike identifier=\"857b1713-ed54-4a3e-b2c1-dfe065ae5e25\">\n  <value><![CDATA[1]]></value>\n</facebookilike>\n<rating identifier=\"68d8dac0-761c-4527-99d6-95632ff020ed\">\n  <votes/>\n  <value/>\n</rating>\n<textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Duis eleifend metus sed lacus volutpat suscipit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc volutpat hendrerit quam eget hendrerit. Aliquam consectetur rutrum adipiscing. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis arcu malesuada magna dapibus aliquam. Aenean lacinia blandit blandit. Fusce neque arcu, suscipit non laoreet id, aliquet vitae mauris. Aliquam ut velit at tortor porta dignissim. Nam porttitor auctor feugiat. Pellentesque in magna risus. Integer sit amet mi quis nisi rhoncus gravida. Etiam interdum iaculis est, vel viverra velit pretium ac. Pellentesque orci sem, venenatis a facilisis ut, lobortis id quam. Donec eget tortor eget metus pellentesque luctus.</p>]]></value>\n</textarea><textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p> </p>\n<p>Vestibulum at sapien a purus sodales bibendum vitae vitae velit. Proin ullamcorper, ipsum vel malesuada auctor, ligula mauris sollicitudin eros, et eleifend tellus ante non quam. Suspendisse rutrum vehicula mi, vitae interdum metus mattis nec. Ut at libero tellus. Phasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu. Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur luctus auctor tellus, a aliquet tellus sodales quis. Fusce quis lectus massa. In hac habitasse platea dictumst. Nam at tellus sed ipsum pulvinar blandit. Aenean iaculis faucibus ipsum sed dictum. Cras a nulla nunc. Maecenas in tortor turpis, at feugiat augue.</p>\n<p>Duis eleifend metus sed lacus volutpat suscipit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc volutpat hendrerit quam eget hendrerit. Aliquam consectetur rutrum adipiscing. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis arcu malesuada magna dapibus aliquam. Aenean lacinia blandit blandit. Fusce neque arcu, suscipit non laoreet id, aliquet vitae mauris. Aliquam ut velit at tortor porta dignissim. Nam porttitor auctor feugiat. Pellentesque in magna risus. Integer sit amet mi quis nisi rhoncus gravida. Etiam interdum iaculis est, vel viverra velit pretium ac. Pellentesque orci sem, venenatis a facilisis ut, lobortis id quam. Donec eget tortor eget metus pellentesque luctus. Sed tellus enim, vulputate ac feugiat at, pretium quis massa. Ut sapien elit, mattis vel facilisis vel, faucibus id est. Maecenas ultricies mollis nibh, at congue nisi rutrum gravida.</p>\n<p>Cras sit amet metus et dui consectetur pharetra. Nunc luctus mi at leo malesuada egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Fusce neque odio, commodo sed interdum et, ultricies a turpis.</p>\n<p> </p>]]></value>\n</textarea>\n<image identifier=\"cdce6654-4e01-4a7f-9ed6-0407709d904c\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image/>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<image identifier=\"c26feca6-b2d4-47eb-a74d-b067aaae5b90\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image><![CDATA[images/fp_demo_media/blog/imageholder.png]]></lightbox_image>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<video identifier=\"ff1ed5b5-4365-457e-98bb-026366028bd7\">\n  <file/>\n  <url/>\n  <width/>\n  <height/>\n  <autoplay/>\n</video>\n<socialbookmarks identifier=\"6af341e4-f0e9-4605-b2a5-60d7a3525a96\">\n  <value><![CDATA[1]]></value>\n</socialbookmarks>\n<googlemaps identifier=\"b723f471-5bd9-4fde-a6df-b7f807156426\">\n  <location/>\n</googlemaps>\n<relateditems identifier=\"65b7851d-199f-4ac6-95a7-409ad1bca488\"/>\n<link identifier=\"fdcbebaa-e61a-462d-963e-aff74ff95499\">\n  <value/>\n  <text/>\n  <target/>\n  <custom_title/>\n  <rel/>\n</link>\n</elements>","{\"comments.subscribers\":{\"xxx@xxx.pl\":\"John\",\"info@7studio.eu\":\"Super User\"},\"metadata.description\":\"\",\"metadata.keywords\":\"\",\"metadata.robots\":\"\",\"metadata.author\":\"\",\"config.enable_comments\":\"1\",\"config.primary_category\":\"3\"}");
INSERT INTO jos_zoo_item VALUES("10","1","article","Sample blog item in full width","sample-blog-item-in-full-width","2011-07-06 18:09:11","2011-07-13 11:18:28","42","2011-07-06 18:09:11","0000-00-00 00:00:00","0","81","1","1","42","","1","<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<elements>\n<relateditems identifier=\"fc5a6788-ffae-41d9-a812-3530331fef64\"/>\n<text identifier=\"08795744-c2dc-4a68-8252-4e21c4c4c774\">\n  <value/>\n</text>\n<download identifier=\"448d6856-8902-402e-b726-eac03d6e4ac0\">\n  <file/>\n  <download_limit/>\n  <hits/>\n  <size/>\n</download>\n<facebookilike identifier=\"857b1713-ed54-4a3e-b2c1-dfe065ae5e25\">\n  <value><![CDATA[1]]></value>\n</facebookilike>\n<rating identifier=\"68d8dac0-761c-4527-99d6-95632ff020ed\">\n  <votes/>\n  <value/>\n</rating>\n<textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Vestibulum at sapien a purus sodales bibendum vitae vitae velit. Proin ullamcorper, ipsum vel malesuada auctor, ligula mauris sollicitudin eros, et eleifend tellus ante non quam. Suspendisse rutrum vehicula mi, vitae interdum metus mattis nec. Ut at libero tellus. Phasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu. Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum.</p>]]></value>\n</textarea><textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value/>\n</textarea><textarea identifier=\"2e3c9e69-1f9e-4647-8d13-4e88094d2790\">\n  <value><![CDATA[<p>Vestibulum at sapien a purus sodales bibendum vitae vitae velit. Proin ullamcorper, ipsum vel malesuada auctor, ligula mauris sollicitudin eros, et eleifend tellus ante non quam. Suspendisse rutrum vehicula mi, vitae interdum metus mattis nec. Ut at libero tellus. Phasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu. Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur luctus auctor tellus, a aliquet tellus sodales quis. Fusce quis lectus massa. In hac habitasse platea dictumst. Nam at tellus sed ipsum pulvinar blandit. Aenean iaculis faucibus ipsum sed dictum. Cras a nulla nunc. Maecenas in tortor turpis, at feugiat augue.</p>\n<p>Duis eleifend metus sed lacus volutpat suscipit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc volutpat hendrerit quam eget hendrerit. Aliquam consectetur rutrum adipiscing. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis arcu malesuada magna dapibus aliquam. Aenean lacinia blandit blandit. Fusce neque arcu, suscipit non laoreet id, aliquet vitae mauris. Aliquam ut velit at tortor porta dignissim. Nam porttitor auctor feugiat. Pellentesque in magna risus. Integer sit amet mi quis nisi rhoncus gravida. Etiam interdum iaculis est, vel viverra velit pretium ac. Pellentesque orci sem, venenatis a facilisis ut, lobortis id quam. Donec eget tortor eget metus pellentesque luctus. Sed tellus enim, vulputate ac feugiat at, pretium quis massa. Ut sapien elit, mattis vel facilisis vel, faucibus id est. Maecenas ultricies mollis nibh, at congue nisi rutrum gravida.</p>\n<p>Cras sit amet metus et dui consectetur pharetra. Nunc luctus mi at leo malesuada egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Fusce neque odio, commodo sed interdum et, ultricies a turpis.</p>\n<p> </p>]]></value>\n</textarea>\n<image identifier=\"cdce6654-4e01-4a7f-9ed6-0407709d904c\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image/>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<image identifier=\"c26feca6-b2d4-47eb-a74d-b067aaae5b90\">\n  <file><![CDATA[images/fp_demo_media/blog/imageholder.png]]></file>\n  <title/>\n  <link/>\n  <target/>\n  <rel/>\n  <lightbox_image><![CDATA[images/fp_demo_media/blog/imageholder.png]]></lightbox_image>\n  <width><![CDATA[570]]></width>\n  <height><![CDATA[265]]></height>\n</image>\n<video identifier=\"ff1ed5b5-4365-457e-98bb-026366028bd7\">\n  <file/>\n  <url/>\n  <width/>\n  <height/>\n  <autoplay/>\n</video>\n<socialbookmarks identifier=\"6af341e4-f0e9-4605-b2a5-60d7a3525a96\">\n  <value><![CDATA[1]]></value>\n</socialbookmarks>\n<googlemaps identifier=\"b723f471-5bd9-4fde-a6df-b7f807156426\">\n  <location/>\n</googlemaps>\n<relateditems identifier=\"65b7851d-199f-4ac6-95a7-409ad1bca488\"/>\n<link identifier=\"fdcbebaa-e61a-462d-963e-aff74ff95499\">\n  <value/>\n  <text/>\n  <target/>\n  <custom_title/>\n  <rel/>\n</link>\n</elements>","{\"comments.subscribers\":{\"asd@asd.pl\":\"Just for a tests\"},\"metadata.description\":\"\",\"metadata.keywords\":\"\",\"metadata.robots\":\"\",\"metadata.author\":\"\",\"config.enable_comments\":\"1\",\"config.primary_category\":\"3\"}");


-- --------------------------------------------------------

--
-- Table structure for table jos_zoo_rating
--

DROP TABLE jos_zoo_rating;
CREATE TABLE `jos_zoo_rating` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) DEFAULT NULL,
  `element_id` varchar(255) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `value` tinyint(4) DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table data for table jos_zoo_rating
--


-- --------------------------------------------------------

--
-- Table structure for table jos_zoo_search_index
--

DROP TABLE jos_zoo_search_index;
CREATE TABLE `jos_zoo_search_index` (
  `item_id` int(11) NOT NULL,
  `element_id` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`item_id`,`element_id`),
  FULLTEXT KEY `SEARCH_FULLTEXT` (`value`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table data for table jos_zoo_search_index
--
INSERT INTO jos_zoo_search_index VALUES("5","2e3c9e69-1f9e-4647-8d13-4e88094d2790","Phasellus sit amet elit vitae magna pretium vulputate non ac ligula. Aenean risus neque, rhoncus a eleifend quis, viverra a velit. Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. iquam quis eros vitae nisl tincidunt scelerisque...\nPhasellus sit amet elit vitae magna pretium vulputate non ac ligula. Aenean risus neque, rhoncus a eleifend quis, viverra a velit. Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante. Phasellus dignissim suscipit nulla, a auctor leo suscipit vel. Ut pretium luctus convallis. In eros ante, cursus sed fermentum in, molestie non tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed odio dui, ullamcorper a sodales ac, pulvinar ut odio. Pellentesque semper ipsum sit amet tellus eleifend luctus. Integer volutpat magna sit amet purus tristique vel tincidunt purus aliquet. Quisque posuere erat at ante varius egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed nisi est, vulputate at pulvinar eget, dignissim quis felis. Nam nec massa orci, in tempor tellus.\r\nIn quis gravida nisi. Morbi sit amet tellus ut sem euismod facilisis. Aliquam vitae nibh a diam sagittis posuere a eu purus. Quisque feugiat fringilla pellentesque. Cras congue turpis pulvinar ante porta in iaculis augue consectetur. Vivamus id lorem massa, a sodales turpis. Aliquam congue sodales arcu eget placerat. Aliquam magna augue, euismod vitae dictum non, euismod sed nibh. Nam nunc leo, molestie et posuere a, venenatis a dui. Suspendisse tincidunt scelerisque venenatis. Mauris sodales leo non velit lacinia vitae mattis nisl mollis. Nullam vulputate facilisis arcu, eu eleifend enim dapibus sed. Donec id urna magna, eu feugiat libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Ut consequat rutrum ipsum, sit amet vulputate erat rutrum tempor.\r\n ");
INSERT INTO jos_zoo_search_index VALUES("4","2e3c9e69-1f9e-4647-8d13-4e88094d2790","Nullam nec massa vitae magna aliquam faucibus at volutpat orci. Praesent suscipit viverra convallis. Mauris posuere vestibulum tristique. Aliquam nec dui lorem, sed mattis justo. Phasellus ultricies lobortis nisl ut viverra. Donec porttitor blandit rutrum. Pellentesque ut eros eu ligula ultricies volutpat nec a tellus. Aliquam eros risus, varius vel consequat eu, mollis non justo. Etiam...\n \r\nNullam nec massa vitae magna aliquam faucibus at volutpat orci. Praesent suscipit viverra convallis. Mauris posuere vestibulum tristique. Aliquam nec dui lorem, sed mattis justo. Phasellus ultricies lobortis nisl ut viverra. Donec porttitor blandit rutrum. Pellentesque ut eros eu ligula ultricies volutpat nec a tellus. Praesent tristique venenatis metus, et porta arcu consectetur elementum. Nulla facilisi. Nulla quis egestas diam. Sed consequat rutrum leo, quis ultrices leo fringilla ac. Etiam id auctor metus. In porttitor sagittis mattis. In hac habitasse platea dictumst.\r\nAliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam eros risus, varius vel consequat eu, mollis non justo. Etiam placerat risus semper justo viverra porttitor. In lorem nunc, consequat eget tempor a, placerat eget massa. Sed semper bibendum turpis, vitae dictum risus auctor eu. Donec id lacus eget leo dignissim elementum at quis velit. Duis quis dui eget arcu pellentesque commodo in et est. Donec volutpat, libero at hendrerit suscipit, ante libero ullamcorper velit, eu faucibus lectus tellus at ligula. Sed ligula nisl, porttitor nec tristique at, cursus tempor nunc. Nulla quis felis sed tellus vehicula porta quis eget ante. Praesent ultrices pretium risus vel varius. Suspendisse potenti. Vivamus porttitor dui nec turpis mollis laoreet. Ut erat mauris, pretium sit amet sagittis at, adipiscing ut metus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam posuere aliquam rutrum. Duis vel ante sit amet quam tempus luctus. Etiam lorem tortor, pharetra eget fermentum vel, euismod eget nulla. Vestibulum sit amet risus eget nisl molestie imperdiet.\r\n ");
INSERT INTO jos_zoo_search_index VALUES("3","2e3c9e69-1f9e-4647-8d13-4e88094d2790","Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed vitae dictum turpis. Phasellus lobortis leo vitae nibh luctus eget suscipit nisi mollis. Nunc eleifend pretium faucibus. Nam at urna non urna vehicula aliquam in venenatis nisi. Donec vel libero dui. Suspendisse quis orci in lorem fringilla lobortis id vitae lacus. In purus nisl...\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Sed vitae dictum turpis. Phasellus lobortis leo vitae nibh luctus eget suscipit nisi mollis. Nunc eleifend pretium faucibus. Nam at urna non urna vehicula aliquam in venenatis nisi. Donec vel libero dui. Suspendisse quis orci in lorem fringilla lobortis id vitae lacus. In purus nisl, accumsan eget posuere in, posuere fermentum quam. Fusce dictum nulla dolor, nec fermentum mi. Donec dignissim rhoncus arcu sed tristique. Sed elementum lacus quis leo pharetra a cursus neque consectetur. Morbi tristique libero ac turpis molestie varius. Nunc a nisl tortor, id varius nulla.\r\nNullam nec massa vitae magna aliquam faucibus at volutpat orci. Praesent suscipit viverra convallis. Mauris posuere vestibulum tristique. Aliquam nec dui lorem, sed mattis justo. Phasellus ultricies lobortis nisl ut viverra. Donec porttitor blandit rutrum. Pellentesque ut eros eu ligula ultricies volutpat nec a tellus. Praesent tristique venenatis metus, et porta arcu consectetur elementum. Nulla facilisi. Nulla quis egestas diam. Sed consequat rutrum leo, quis ultrices leo fringilla ac. Etiam id auctor metus. In porttitor sagittis mattis. In hac habitasse platea dictumst.\r\nAliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam eros risus, varius vel consequat eu, mollis non justo. Etiam placerat risus semper justo viverra porttitor. In lorem nunc, consequat eget tempor a, placerat eget massa. Sed semper bibendum turpis, vitae dictum risus auctor eu. Donec id lacus eget leo dignissim elementum at quis velit. Duis quis dui eget arcu pellentesque commodo in et est. Donec volutpat, libero at hendrerit suscipit, ante libero ullamcorper velit, eu faucibus lectus tellus at ligula. Sed ligula nisl, porttitor nec tristique at, cursus tempor nunc. Nulla quis felis sed tellus vehicula porta quis eget ante. Praesent ultrices pretium risus vel varius. Suspendisse potenti. Vivamus porttitor dui nec turpis mollis laoreet. Ut erat mauris, pretium sit amet sagittis at, adipiscing ut metus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam posuere aliquam rutrum. Duis vel ante sit amet quam tempus luctus. Etiam lorem tortor, pharetra eget fermentum vel, euismod eget nulla. Vestibulum sit amet risus eget nisl molestie imperdiet.\r\n ");
INSERT INTO jos_zoo_search_index VALUES("6","2e3c9e69-1f9e-4647-8d13-4e88094d2790","Phasellus sit amet elit vitae magna pretium vulputate non ac ligula. Aenean risus neque, rhoncus a eleifend quis, viverra a velit. Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante.\n \r\nPhasellus sit amet elit vitae magna pretium vulputate non ac ligula. Aenean risus neque, rhoncus a eleifend quis, viverra a velit. Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante. Phasellus dignissim suscipit nulla, a auctor leo suscipit vel. Ut pretium luctus convallis. In eros ante, cursus sed fermentum in, molestie non tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed odio dui, ullamcorper a sodales ac, pulvinar ut odio. Pellentesque semper ipsum sit amet tellus eleifend luctus. Integer volutpat magna sit amet purus tristique vel tincidunt purus aliquet. Quisque posuere erat at ante varius egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed nisi est, vulputate at pulvinar eget, dignissim quis felis. Nam nec massa orci, in tempor tellus.\r\nIn quis gravida nisi. Morbi sit amet tellus ut sem euismod facilisis. Aliquam vitae nibh a diam sagittis posuere a eu purus. Quisque feugiat fringilla pellentesque. Cras congue turpis pulvinar ante porta in iaculis augue consectetur. Vivamus id lorem massa, a sodales turpis. Aliquam congue sodales arcu eget placerat. Aliquam magna augue, euismod vitae dictum non, euismod sed nibh. Nam nunc leo, molestie et posuere a, venenatis a dui. Suspendisse tincidunt scelerisque venenatis. Mauris sodales leo non velit lacinia vitae mattis nisl mollis. Nullam vulputate facilisis arcu, eu eleifend enim dapibus sed. Donec id urna magna, eu feugiat libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Ut consequat rutrum ipsum, sit amet vulputate erat rutrum tempor.\r\n ");
INSERT INTO jos_zoo_search_index VALUES("8","2e3c9e69-1f9e-4647-8d13-4e88094d2790","To pretium luctus convallis. In eros ante, cursus sed fermentum in, molestie non tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed odio dui, ullamcorper a sodales ac, pulvinar ut odio. Pellentesque semper ipsum sit amet tellus eleifend luctus.\n \r\nTo pretium luctus convallis. In eros ante, cursus sed fermentum in, molestie non tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed odio dui, ullamcorper a sodales ac, pulvinar ut odio. Pellentesque semper ipsum sit amet tellus eleifend luctus. Phasellus sit amet elit vitae magna pretium vulputate non ac ligula. Aenean risus neque, rhoncus a eleifend quis, viverra a velit. Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante. Phasellus dignissim suscipit nulla, a auctor leo suscipit vel. U Integer volutpat magna sit amet purus tristique vel tincidunt purus aliquet. Quisque posuere erat at ante varius egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed nisi est, vulputate at pulvinar eget, dignissim quis felis. Nam nec massa orci, in tempor tellus.\r\nIn quis gravida nisi. Morbi sit amet tellus ut sem euismod facilisis. Aliquam vitae nibh a diam sagittis posuere a eu purus. Quisque feugiat fringilla pellentesque. Cras congue turpis pulvinar ante porta in iaculis augue consectetur. Vivamus id lorem massa, a sodales turpis. Aliquam congue sodales arcu eget placerat. Aliquam magna augue, euismod vitae dictum non, euismod sed nibh. Nam nunc leo, molestie et posuere a, venenatis a dui. Suspendisse tincidunt scelerisque venenatis. Mauris sodales leo non velit lacinia vitae mattis nisl mollis. Nullam vulputate facilisis arcu, eu eleifend enim dapibus sed. Donec id urna magna, eu feugiat libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Ut consequat rutrum ipsum, sit amet vulputate erat rutrum tempor.\r\nGoogle map example, while creating new zoo item please just give an adress which you would like to show on map and google map will be generated automaticly!\r\n ");
INSERT INTO jos_zoo_search_index VALUES("7","2e3c9e69-1f9e-4647-8d13-4e88094d2790","Aliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante.\n \r\nAliquam quis eros vitae nisl tincidunt scelerisque sit amet nec ligula. Donec sit amet magna nisl. Fusce ac orci tellus. Vestibulum enim neque, bibendum id varius ac, rhoncus sit amet ipsum. Nam in nisi tortor, quis vulputate purus. Sed a enim augue, pretium gravida quam. Sed eu arcu justo, ac tincidunt ante. Phasellus dignissim suscipit nulla, a auctor leo suscipit vel. Ut pretium luctus convallis. In eros ante, cursus sed fermentum in, molestie non tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed odio dui, ullamcorper a sodales ac, pulvinar ut odio. Pellentesque semper ipsum sit amet tellus eleifend luctus. Integer volutpat magna sit amet purus tristique vel tincidunt purus aliquet. Quisque posuere erat at ante varius egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed nisi est, vulputate at pulvinar eget, dignissim quis felis. Nam nec massa orci, in tempor tellus.\r\nIn quis gravida nisi. Morbi sit amet tellus ut sem euismod facilisis. Aliquam vitae nibh a diam sagittis posuere a eu purus. Quisque feugiat fringilla pellentesque. Cras congue turpis pulvinar ante porta in iaculis augue consectetur. Vivamus id lorem massa, a sodales turpis. Aliquam congue sodales arcu eget placerat. Aliquam magna augue, euismod vitae dictum non, euismod sed nibh. Nam nunc leo, molestie et posuere a, venenatis a dui. Suspendisse tincidunt scelerisque venenatis. Mauris sodales leo non velit lacinia vitae mattis nisl mollis. Nullam vulputate facilisis arcu, eu eleifend enim dapibus sed. Donec id urna magna, eu feugiat libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Ut consequat rutrum ipsum, sit amet vulputate erat rutrum tempor.\r\n ");
INSERT INTO jos_zoo_search_index VALUES("10","2e3c9e69-1f9e-4647-8d13-4e88094d2790","Vestibulum at sapien a purus sodales bibendum vitae vitae velit. Proin ullamcorper, ipsum vel malesuada auctor, ligula mauris sollicitudin eros, et eleifend tellus ante non quam. Suspendisse rutrum vehicula mi, vitae interdum metus mattis nec. Ut at libero tellus. Phasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu. Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum.\n\nVestibulum at sapien a purus sodales bibendum vitae vitae velit. Proin ullamcorper, ipsum vel malesuada auctor, ligula mauris sollicitudin eros, et eleifend tellus ante non quam. Suspendisse rutrum vehicula mi, vitae interdum metus mattis nec. Ut at libero tellus. Phasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu. Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur luctus auctor tellus, a aliquet tellus sodales quis. Fusce quis lectus massa. In hac habitasse platea dictumst. Nam at tellus sed ipsum pulvinar blandit. Aenean iaculis faucibus ipsum sed dictum. Cras a nulla nunc. Maecenas in tortor turpis, at feugiat augue.\r\nDuis eleifend metus sed lacus volutpat suscipit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc volutpat hendrerit quam eget hendrerit. Aliquam consectetur rutrum adipiscing. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis arcu malesuada magna dapibus aliquam. Aenean lacinia blandit blandit. Fusce neque arcu, suscipit non laoreet id, aliquet vitae mauris. Aliquam ut velit at tortor porta dignissim. Nam porttitor auctor feugiat. Pellentesque in magna risus. Integer sit amet mi quis nisi rhoncus gravida. Etiam interdum iaculis est, vel viverra velit pretium ac. Pellentesque orci sem, venenatis a facilisis ut, lobortis id quam. Donec eget tortor eget metus pellentesque luctus. Sed tellus enim, vulputate ac feugiat at, pretium quis massa. Ut sapien elit, mattis vel facilisis vel, faucibus id est. Maecenas ultricies mollis nibh, at congue nisi rutrum gravida.\r\nCras sit amet metus et dui consectetur pharetra. Nunc luctus mi at leo malesuada egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Fusce neque odio, commodo sed interdum et, ultricies a turpis.\r\n ");
INSERT INTO jos_zoo_search_index VALUES("12","2e3c9e69-1f9e-4647-8d13-4e88094d2790","Duis eleifend metus sed lacus volutpat suscipit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc volutpat hendrerit quam eget hendrerit. Aliquam consectetur rutrum adipiscing. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis arcu malesuada magna dapibus aliquam. Aenean lacinia blandit blandit. Fusce neque arcu, suscipit non laoreet id, aliquet vitae mauris. Aliquam ut velit at tortor porta dignissim. Nam porttitor auctor feugiat. Pellentesque in magna risus. Integer sit amet mi quis nisi rhoncus gravida. Etiam interdum iaculis est, vel viverra velit pretium ac. Pellentesque orci sem, venenatis a facilisis ut, lobortis id quam. Donec eget tortor eget metus pellentesque luctus.\n \r\nVestibulum at sapien a purus sodales bibendum vitae vitae velit. Proin ullamcorper, ipsum vel malesuada auctor, ligula mauris sollicitudin eros, et eleifend tellus ante non quam. Suspendisse rutrum vehicula mi, vitae interdum metus mattis nec. Ut at libero tellus. Phasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu. Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur luctus auctor tellus, a aliquet tellus sodales quis. Fusce quis lectus massa. In hac habitasse platea dictumst. Nam at tellus sed ipsum pulvinar blandit. Aenean iaculis faucibus ipsum sed dictum. Cras a nulla nunc. Maecenas in tortor turpis, at feugiat augue.\r\nDuis eleifend metus sed lacus volutpat suscipit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc volutpat hendrerit quam eget hendrerit. Aliquam consectetur rutrum adipiscing. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis arcu malesuada magna dapibus aliquam. Aenean lacinia blandit blandit. Fusce neque arcu, suscipit non laoreet id, aliquet vitae mauris. Aliquam ut velit at tortor porta dignissim. Nam porttitor auctor feugiat. Pellentesque in magna risus. Integer sit amet mi quis nisi rhoncus gravida. Etiam interdum iaculis est, vel viverra velit pretium ac. Pellentesque orci sem, venenatis a facilisis ut, lobortis id quam. Donec eget tortor eget metus pellentesque luctus. Sed tellus enim, vulputate ac feugiat at, pretium quis massa. Ut sapien elit, mattis vel facilisis vel, faucibus id est. Maecenas ultricies mollis nibh, at congue nisi rutrum gravida.\r\nCras sit amet metus et dui consectetur pharetra. Nunc luctus mi at leo malesuada egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Fusce neque odio, commodo sed interdum et, ultricies a turpis.\r\n ");
INSERT INTO jos_zoo_search_index VALUES("11","2e3c9e69-1f9e-4647-8d13-4e88094d2790","Phasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu. Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur luctus auctor tellus, a aliquet tellus sodales quis. Fusce quis lectus massa. In hac habitasse platea dictumst. Nam at tellus sed ipsum pulvinar blandit. Aenean iaculis faucibus ipsum sed dictum.\n \r\nPhasellus et magna sit amet purus adipiscing vulputate quis vel tortor. Nam porta bibendum risus, sit amet vestibulum tortor condimentum eu. Mauris ullamcorper, sapien id porta auctor, ipsum lacus mollis metus, in pharetra orci ante vitae risus. Maecenas suscipit nulla quis est vulputate ac ornare ligula rutrum. Sed tristique ipsum lectus, eu dignissim magna. Nam semper nulla in ligula interdum at porta neque condimentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur luctus auctor tellus, a aliquet tellus sodales quis. Fusce quis lectus massa. In hac habitasse platea dictumst. Nam at tellus sed ipsum pulvinar blandit. Aenean iaculis faucibus ipsum sed dictum. Cras a nulla nunc. Maecenas in tortor turpis, at feugiat augue.\r\nDuis eleifend metus sed lacus volutpat suscipit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc volutpat hendrerit quam eget hendrerit. Aliquam consectetur rutrum adipiscing. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis arcu malesuada magna dapibus aliquam. Aenean lacinia blandit blandit. Fusce neque arcu, suscipit non laoreet id, aliquet vitae mauris. Aliquam ut velit at tortor porta dignissim. Nam porttitor auctor feugiat. Pellentesque in magna risus. Integer sit amet mi quis nisi rhoncus gravida. Etiam interdum iaculis est, vel viverra velit pretium ac. Pellentesque orci sem, venenatis a facilisis ut, lobortis id quam. Donec eget tortor eget metus pellentesque luctus. Sed tellus enim, vulputate ac feugiat at, pretium quis massa. Ut sapien elit, mattis vel facilisis vel, faucibus id est. Maecenas ultricies mollis nibh, at congue nisi rutrum gravida.\r\nCras sit amet metus et dui consectetur pharetra. Nunc luctus mi at leo malesuada egestas. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Fusce neque odio, commodo sed interdum et, ultricies a turpis.\r\n ");


-- --------------------------------------------------------

--
-- Table structure for table jos_zoo_submission
--

DROP TABLE jos_zoo_submission;
CREATE TABLE `jos_zoo_submission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `application_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `access` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ALIAS_INDEX` (`alias`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table data for table jos_zoo_submission
--


-- --------------------------------------------------------

--
-- Table structure for table jos_zoo_tag
--

DROP TABLE jos_zoo_tag;
CREATE TABLE `jos_zoo_tag` (
  `item_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`item_id`,`name`),
  UNIQUE KEY `NAME_ITEMID_INDEX` (`name`,`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table data for table jos_zoo_tag
--
INSERT INTO jos_zoo_tag VALUES("3","Envato");
INSERT INTO jos_zoo_tag VALUES("3","FutureProspects");
INSERT INTO jos_zoo_tag VALUES("3","Home");
INSERT INTO jos_zoo_tag VALUES("4","iPhone");
INSERT INTO jos_zoo_tag VALUES("4","Mobile");
INSERT INTO jos_zoo_tag VALUES("4","Web");
INSERT INTO jos_zoo_tag VALUES("5","iPhone");
INSERT INTO jos_zoo_tag VALUES("5","Mobile");
INSERT INTO jos_zoo_tag VALUES("6","DSLR Cameras");
INSERT INTO jos_zoo_tag VALUES("6","Home");
INSERT INTO jos_zoo_tag VALUES("7","Black and White");
INSERT INTO jos_zoo_tag VALUES("7","Envato");
INSERT INTO jos_zoo_tag VALUES("8","Envato");
INSERT INTO jos_zoo_tag VALUES("10","full-width");
INSERT INTO jos_zoo_tag VALUES("10","green");
INSERT INTO jos_zoo_tag VALUES("11","full-width");
INSERT INTO jos_zoo_tag VALUES("12","full-width");


-- --------------------------------------------------------

--
-- Table structure for table jos_zoo_version
--

DROP TABLE jos_zoo_version;
CREATE TABLE `jos_zoo_version` (
  `version` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table data for table jos_zoo_version
--
INSERT INTO jos_zoo_version VALUES("2.4.10");